LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices



Reply
 
Search this Thread
Old 01-25-2010, 05:31 AM   #1
MACD2010
LQ Newbie
 
Registered: Nov 2008
Distribution: PCLinuxOS release 2010 (PCLinuxOS) for i586
Posts: 2

Rep: Reputation: 0
Synaptic package manager error when trying to upgrade & update


How can I find which packages are broken and how can I fix them (step by step please)


When I try to reload packages or fix broken packages I get this:
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

if i go to synaptic manager, click the edit button and there is a fix broken package option. After selecting it i get the following error,

E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
E: Unable to correct dependencies

If anyone can assist I will greatly appreciate it.

(NB: I am running PCLinuxOS release 2010 (PCLinuxOS) for i586
Kernel 2.6.26.8.tex3 on a Dual-processor i686)
 
Old 01-25-2010, 06:24 AM   #2
repo
LQ 5k Club
 
Registered: May 2001
Location: Belgium
Distribution: Linux Mint
Posts: 8,516

Rep: Reputation: 896Reputation: 896Reputation: 896Reputation: 896Reputation: 896Reputation: 896Reputation: 896
Take a look at post #6
http://www.linuxforums.org/forum/deb...ency-more.html
 
Old 01-26-2010, 06:40 AM   #3
MACD2010
LQ Newbie
 
Registered: Nov 2008
Distribution: PCLinuxOS release 2010 (PCLinuxOS) for i586
Posts: 2

Original Poster
Rep: Reputation: 0
Thumbs up A thousand thank you's

Thank you for your assistance it solved my problem.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Get an error when trying to load Synaptic Package Manager...? JPJ526 Linux - Newbie 10 12-10-2008 08:36 PM
Error with Synaptic package manager in installing ahmed_as8 Linux - Software 1 11-20-2008 08:28 AM
Error with Synaptic package manager in installing ahmed_as8 Linux - Newbie 1 11-20-2008 07:58 AM
newbie: how to update software without using Synaptic Package Manager? sirpelidor Ubuntu 2 10-04-2008 09:10 PM
Synaptic Package Manager wont update microwave135 Ubuntu 4 10-19-2006 12:53 PM


All times are GMT -5. The time now is 09:33 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration